const lastMode = flow.get('masterBedroom.lastMode', "diskCon")
const linkSource = msg._linkSource

let setTime = []
let setType = []
let setTopic = []

if (lastMode === 'day') {
    setTime = 'day'
    setType = 'manual'
    setTopic = 'manual-day'
} else if (lastMode === 'night') {
    setTime = 'night'
    setType = 'manual'
    setTopic = 'manual-night'
} else if (lastMode === 'bedtime') {
    setTime = 'bedtime'
    setType = 'manual'
    setTopic = 'manual-bedtime'
}

let reset = {
    "type": setType,
    "time": setTime,
    "topic": setTopic,
    "_linkSource": linkSource
}

node.send(reset)
node.status({ fill: "green", shape: "dot", text: `Mode reset to ${setTopic}`})