const states = global.get('homeassistant.homeAssistant.states')
const lights = states['light.downstairs_bathroom_lights'].state
const duration = states['input_number.downstairs_bathroom_lights_off_delay'].state
const lux = parseInt(states['sensor.downstairs_bathroom_illuminance'].state)
const threshold = parseInt(states['input_number.downstairs_bathroom_lux_threshold'].state)
const payload = msg.payload
const newDuration = duration * 60

if (payload === 'on') {
    if (lux <= threshold && lights === 'off') {
        node.status({fill:'green',shape:'dot',text:'Turning lights on'})
        node.send([msg,msg,null])
    } else {
        if (lights === 'on') {
            node.status({fill:'red',shape:'ring',text:'Lights already on'})
            node.send([null,msg,null])
        } else {
            node.status({fill:'red',shape:'ring',text:'Too bright'})
        }
    }
} else if (payload === 'off') {
    if (lights === 'on') {
        msg.duration = newDuration
        node.status({fill:"green",shape:"dot",text:parseInt(duration) + ' minutes'})
        node.send([null,null,msg])
    } else {
        node.status({fill:"red",shape:"ring",text:"Lights already off"})
    }
}