const states = global.get('homeassistant.homeAssistant.states')
const precipType = states['sensor.home_tempest_precipitation_type'].state
const precipIntensity = states['sensor.home_tempest_cloud_sensors_precipitation_intensity'].state

const typeStatesRaining = ['rain','hail','rain_hail']
const intensityStatesRaining = ['very_light','light','moderate','heavy','very_heavy','extreme']

const isTypeRaining = typeStatesRaining.includes(precipType)
const isIntensityRaining = intensityStatesRaining.includes(precipIntensity)

const isRaining = isTypeRaining || isIntensityRaining

flow.set('typeStatesRaining', typeStatesRaining)
flow.set('intensityStatesRaining', intensityStatesRaining)
flow.set('isRaining', isRaining)

return null