const states = global.get('homeassistant.homeAssistant.states')
const lights = states['light.downstairs_bathroom_lights'].state
const duration = states['input_number.downstairs_bathroom_lights_off_delay'].state
const lux = states['sensor.downstairs_bathroom_illuminance'].state
const threshold = states['input_number.downstairs_bathroom_lux_threshold'].state
const payload = msg.payload
const newDuration = duration * 60

if (payload === 'on') {
    if (lux <= threshold || lights === 'on') {
        node.status({fill:'green',shape:'dot',text:'Lights On'})
        node.send([msg,null])
    } else {
        node.status({fill:'red',shape:'ring',text:'Too bright'})
    }
} else if (payload === 'off') {
    if (lights === 'on') {
        msg.duration = newDuration
        node.status({fill:"green",shape:"dot",text:parseInt(duration) + ' minutes'})
        node.send([null,msg])
    } else {
        node.status({fill:"red",shape:"ring",text:"Lights already off"})
    }
}