const livingRoom = ["Living Room", "Living Room Echo Dot"]
const basementAlexa = ["Basement", "Basement Echo Dot"]
const basementGoogle = ["Basement Google", "basement_google"]
const kallenBedroom = ["Kallen Bedroom", "Kallen Bedroom Speaker"]
const emmaBedroom = ["Emma Bedroom", "Emma Bedroom Speaker"]
const kidsBedrooms = ["Kids Bedrooms"]
const allBedrooms = ["All Bedrooms"]
const masterBedroom = ["Master Bedroom", "Master Bedroom Echo Dot"]
const commonAreas = ["Common Areas"]
const alexaEverywhere = ["alexa_everywhere", "Alexa Everywhere"]
const room = msg.topic
const voice = msg.voice || global.get("jarvis_voice", "diskCon")
const type = msg.type || "normal"

if (livingRoom.includes(room)) {
    msg.topic = "living_room"
} else if (basementAlexa.includes(room)) {
    msg.topic = "basement"
} else if (basementGoogle.includes(room)) {
    msg.topic = "basement_google"
} else if (kallenBedroom.includes(room)) {
    msg.topic = "kallen_bedroom"
} else if (emmaBedroom.includes(room)) {
    msg.topic = "emma_bedroom"
} else if (kidsBedrooms.includes(room)) {
    msg.topic = "kids_bedrooms"
} else if (allBedrooms.includes(room)) {
    msg.topic = "all_bedrooms"
} else if (masterBedroom.includes(room)) {
    msg.topic = "master_bedroom"
} else if (commonAreas.includes(room)) {
    msg.topic = "common"
} else if (alexaEverywhere.includes(room)) {
    msg.topic = "alexa_everywhere"
} else if (room === "Everywhere") {
    msg.topic = "everywhere"
}

msg.voice = voice
msg.type = type

let statusMsg = {
    "status": {
        "fill": "green",
        "shape": "dot",
        "text": `${msg.voice} speaking in ${room}`
    }
}

node.send([msg,statusMsg])